import click

from . import run_stable_vicuna


@click.group()
def cli():
    pass


@cli.command()
@click.option(
    "--model-dir",
    type=click.Path(exists=True, file_okay=False, dir_okay=True),
    envvar="SAVANT_MODEL_DIR",
    default="~/models",
    show_default=True,
    help="The path to a directory containing a hugging face Stable-Vicuna model.",
)
def stable_vicuna(model_dir):
    """Runs a Stable Vicuna CLI prompt."""
    run_stable_vicuna.main(model_dir=model_dir)


if __name__ == "__main__":
    cli()
